/* Admin files*/
.editor-styles-wrapper .acf_featured_content_block .featured-posts.slick-not-loaded {
	max-height: unset;
	flex-wrap: nowrap;
	overflow-y: hidden;
	overflow-x: auto;
	align-items: start;
}

.editor-styles-wrapper .acf_featured_content_block .featured-posts.slick-not-loaded > * {
	opacity: 1;
	flex: 1 0 100%;
}

.editor-styles-wrapper .acf_featured_content_block .featured-posts.slick-not-loaded.cols-2 > * {
	flex-basis: calc(50% - var(--wp--preset--spacing--20));
}

.editor-styles-wrapper .acf_featured_content_block .featured-posts.slick-not-loaded.cols-3 > * {
	flex-basis: calc(33.333% - var(--wp--preset--spacing--20));
}

.editor-styles-wrapper .acf_featured_content_block .featured-posts.slick-not-loaded.cols-4 > * {
	flex-basis: calc(25% - var(--wp--preset--spacing--20));
}

.editor-styles-wrapper .acf_featured_content_block .featured-posts.slick-not-loaded.cols-5 > * {
	flex-basis: calc(20% - var(--wp--preset--spacing--20));
}

.acf_featured_content_block .featured-posts {
	padding: var(--wp--preset--spacing--10) 0;
	justify-content: center;
}


.editor-styles-wrapper .acf_featured_content_block .featured-posts {
	justify-content: start;
}

.acf_featured_content_block .wp-block-media-text .wp-block-media-text__content {
	height: 100%;
}

/*.acf_featured_content_block .featured-posts .slick-track {*/
/*	display: flex !important;*/
/*	gap: var(--wp--preset--spacing--20);*/
/*	width: auto !important;*/
/*	left: 0 !important;*/
/*}*/
/*.acf_featured_content_block .featured-posts .slick-list {*/
/*	margin: 0 calc(var(--wp--preset--spacing--20) * -1); !* match half the gap *!*/
/*}*/
/*.acf_featured_content_block .featured-posts .slick-track .slick-slide {*/
/*	height: auto !important;*/
/*}*/

/* Your slider wrapper */
/* Equal height Slick Slider */
.acf_featured_content_block .featured-posts .slick-track {
	display: flex !important;
}

.acf_featured_content_block .featured-posts .slick-slide {
	padding: 0 var(--wp--preset--spacing--10); /* 20px gap between slide contents */
	box-sizing: border-box; /* So padding doesn’t blow up widths */
	height: auto !important;
	display: flex !important;
}

.slick-slide > div {
	height: 100%;
}

/* Optional: if you want no extra padding at the very edges */
.acf_featured_content_block .featured-posts .slick-list {
	margin: 0 calc(var(--wp--preset--spacing--10) * -1);
}

.acf_featured_content_block .slick-slider .slick-list {
	width: 100%;
}

.acf_featured_content_block .featured-posts.cols-1 .wp-block-media-text,
.acf_featured_content_block .featured-posts .wp-block-group,
.acf_featured_content_block .featured-posts {
	/*flex: 1 1 10%;*/
}

.acf_featured_content_block .featured-posts .wp-block-media-text {
	gap: var(--wp--preset--spacing--30);
}

.acf_featured_content_block .featured-posts.cols-2 .wp-block-media-text {
	grid-template-columns:40% auto !important;
}

.acf_featured_content_block .wp-block-media-text .wp-block-media-text__content {
	padding: 0;
}

.acf_featured_content_block .card .excerpt,
.acf_featured_content_block .wp-block-media-text .wp-block-media-text__content .wp-block-post-excerpt .wp-block-post-excerpt__excerpt {
	display: -webkit-box;
	-webkit-line-clamp: 3; /* number of lines you want */
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.acf_featured_content_block .heading {
	padding: 0 var(--wp--preset--spacing--10);
	justify-content: space-between;
}

#page .featured-posts .slick-arrow {
	width: 30px;
}

#page .featured-posts .slick-prev {
	left: -30px;
}

#page .featured-posts .slick-next {
	right: -30px;
}

.featured-posts.slick-not-loaded {
	max-height: 250px;
}

.featured-posts.slick-loaded {
	max-height: unset;
}

.featured-posts.slick-not-loaded .slick-slide,
.featured-posts.slick-not-loaded > * {
	opacity: 0;
	pointer-events: none;
}

.featured-posts.slick-loaded .slick-slide {
	opacity: 1;
	transition: opacity 300ms ease-in-out;
}

.wp-block-group:empty {
	display: none;
}

@media screen and (max-width: 1024px) {
	.acf_featured_content_block .featured-posts.slick-slider.cols-2 .slick-list .wp-block-media-text.is-stacked-on-mobile {
		grid-template-columns:50% auto !important;
	}
	
	#page .featured-posts .slick-prev {
		left: -25px;
	}
	
	#page .featured-posts .slick-next {
		right: -25px;
	}
}

@media screen and (min-width: 601px) {
	
	.wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content {
		grid-column: 2!important;
		grid-row: 1!important;
	}
	
}

@media screen and (max-width: 600px) {
	.acf_featured_content_block .featured-posts .wp-block-media-text.is-stacked-on-mobile{
		gap:0!important;
	}
	.wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__content > .wp-block-group{
		padding-left:var(--wp--preset--spacing--20)!important;
	}
	.acf_featured_content_block .featured-posts.slick-slider.cols-2 .slick-list .wp-block-media-text.is-stacked-on-mobile {
		grid-template-columns:100% !important;
	}
	
	.acf_featured_content_block .featured-posts .slick-slide {
		padding: 0;
	}
	
	.acf_featured_content_block .featured-posts .slick-list {
		margin: 0;
	}
}